package ch.unizh.ifi.adora.constraints.editor.preferences;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * 
 * Initializes the preferences storage with default values for the constraints
 * plugin
 * 
 * @author ccramer
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @version $Date: 2007-03-05 10:38:35 +0100 (Mon, 05 Mar 2007) $, $Author: cramer $, $Revision: 2488 $
 * 
 */
public class EditorPreferencesInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore store = ch.unizh.ifi.adora.constraints.ConstraintsPlugin.getDefault().getPreferenceStore();
		store.setDefault(EditorPreferenceConstants.TAGS_PREFERENCE, EditorPreferenceConstants.TAGS_DEFAULT);

	}

}
