package ch.unizh.ifi.adora.constraints.engine;

import java.util.Vector;

import ch.unizh.ifi.adora.AdoraPlugin;
import ch.unizh.ifi.adora.ui.AdoraModelEditor;

/**
 * 
 * Getting requests from a view and highlighting the concerned objects in the
 * editor.
 * 
 * @author Christina Cramer
 * @author smeier
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 20.09.2007 CC First Version 20.09.2007 SM Simplified selection
 *          mechanism.
 * @version $Date: 2007-10-11 10:49:01 +0200 (Thu, 11 Oct 2007) $, $Author: cramer $, $Revision: 3123 $
 * 
 */
public class TableModelMediator {

	public void showElements(Vector<Object> selectedObjects) {
		AdoraModelEditor ame = AdoraPlugin.getActiveEditor();
		if (ame != null) {
			ame.selectElements(selectedObjects);
		}
	}

}
