package ch.unizh.ifi.adora.parts.callback;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

import ch.unizh.ifi.adora.model.commands.SetConnectionLabelConstraint;
import ch.unizh.ifi.adora.model.representation.ConnectionLabel;

public class ConnectionLabelConstraintCallBackImpl implements
		ConnectionLabelConstraintCallBack {
	
	private ConnectionLabel label;
	
public ConnectionLabelConstraintCallBackImpl(ConnectionLabel label){
	this.label=label;
}

	public void setConstraint(Point connectionOffset, Rectangle rect) {
		ch.unizh.ifi.adora.model.geometry.Point newOffset=new ch.unizh.ifi.adora.model.geometry.Point(0,0);
		ch.unizh.ifi.adora.model.geometry.Rectangle newRect=new ch.unizh.ifi.adora.model.geometry.Rectangle(rect.x,rect.y,rect.width,rect.height);
		SetConnectionLabelConstraint constraint= new SetConnectionLabelConstraint(label, newOffset, newRect);
		constraint.execute();
	}

}
