package ch.unizh.ifi.adora.parts.policies.containers;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.XYLayoutEditPolicy;
import org.eclipse.gef.requests.CreateRequest;

/**
 * This XYLayoutEditPolicy is needed to prohibit adding nodes to a scenario.
 * Since the fiseyezoompolicy also listens to mousemoves, nodes would get
 * lost otherwise. 
 *  
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			03.05.2006 IV First Version
 * 						23.07.2006 SM Reformatted.
 * @version			$Date: 2007-01-25 18:06:03 +0100 (Thu, 25 Jan 2007) $, $Author: smeier $, $Revision: 2403 $
 */
public class ScenarioContainerPolicy extends XYLayoutEditPolicy {

    @Override
    protected Command createAddCommand(EditPart child, Object constraint) {
        return null;
    }

    @Override
    protected Command createChangeConstraintCommand(EditPart child, Object constraint) {
        return null;
    }

    @Override
    protected Command getCreateCommand(CreateRequest request) {
        return null;
    }

    @Override
    protected Command getDeleteDependantCommand(Request request) {
        return null;
    }
}