package ch.unizh.ifi.adora.properties;

import ch.unizh.ifi.adora.model.representation.Node;

/**
 * The property source description of an exit point.
 *
 * @author              smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 12, 2006 SM First Version
 *                      April 26, 2006 SM Help context ids and comments.
 * @version             $Date: 2006-07-24 12:29:04 +0200 (Mon, 24 Jul 2006) $, $Author: vigan $, $Revision: 1891 $
 *
 */
public class ExitPointProperties extends NodeProperties {

	/**
     * The constructor of an exit point property descriptor.
     * 
     * @param node The exit point model for which the property descriptors are prepared. 
     */
    public ExitPointProperties(Node node) {
        super(node);
    }
}
