package ch.unizh.ifi.adora.view.figures;

public interface IAbstractableConnectionFigure {
	
	/**
     * Returns true if the underlying association is abstracted (i.e. this line
     * is drawn thick line), false otherwise.
     * 
     * @return true if the association is abstracted, false otherwise
     */
	public boolean isAbstracted();
	
	/**
     * Set the association figure as abstracted.
     * 
     * @pre true
     * @post isAbstracted() == abstracted
     * 
     * @param abstracted
     *            true if the association is abstracted, false otherwise
     */
	public void setAbstracted(boolean abstracted);
	
}
