package ch.unizh.ifi.adora.view.figures;

import org.eclipse.draw2d.Graphics;

/**
 * This class is responsible for creating a visual connection between two
 * {@link ch.unizh.ifi.adora.model.representation.Association}s, connected via a {@link ch.unizh.ifi.adora.model.representation.Interrelationship}. 
 *      
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             30.08.2006 IV First Version
 * @version             $Date: 2008-11-12 08:40:04 +0100 (Wed, 12 Nov 2008) $, $Author: vigan $, $Revision: 3879 $
 */
public class InterRelationshipFigure extends ConnectionFigure{

	/**
	 * Generates a new dashed line
	 */
	public InterRelationshipFigure(){
		setLineStyle(Graphics.LINE_DASH);
	}
	
	public void layout() {
		super.layout();
	}
}
