package ch.unizh.ifi.adora.empiricism.model.cache;

import ch.unizh.ifi.adora.empiricism.model.AdoraProperty;

/**
 * A storage cache for {@link ch.unizh.ifi.adora.empiricism.model.AdoraProperty} objects. 
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             30.06.2006 SM First Version
 * @version             $Date: 2006-06-30 12:15:37 +0200 (Fri, 30 Jun 2006) $, $Author: vigan $, $Revision: 1752 $
 */
public class AdoraPropertyCache extends DataBaseObjectCache {	
	
	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.cache.DataBaseObjectCache#getDBObject(java.lang.Object)
	 */
	public AdoraProperty getDBObject(Object i) {
		return (AdoraProperty)super.getDBObject(i);
	}
}
