package ch.unizh.ifi.adora.empiricism.model.cache;

import ch.unizh.ifi.adora.empiricism.model.ModelForQuestion;

/**
 * A storage cache for {@link ch.unizh.ifi.adora.empiricism.model.model.Question} objects.
 *
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 26, 2006 SM First Version
 *                      May 31, 2006 SM Comments
 * @version             $Date: 2007-01-21 13:14:36 +0100 (Sun, 21 Jan 2007) $, $Author: smeier $, $Revision: 2385 $
 *
 */
public class ModelForQuestionCache extends DataBaseObjectCache {

	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.cache.DataBaseObjectCache#getDBObject(java.lang.Object)
	 */
	public ModelForQuestion getDBObject(Object i) {
		return (ModelForQuestion)super.getDBObject(i);
	}
}
