package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.requirements.ImplementationProposal;

public class ImplPropAdd extends Command {
	
	private ImplementationProposal implProp;
	private AdoraModel adoraModel;
	
	public ImplPropAdd(AdoraModel adoraModel) {
		this.adoraModel = adoraModel;
		implProp = new ImplementationProposal(adoraModel);
		
	}
	
	/**
	 * Adds a new design decision to the ADORA model.
	 */
	public void execute() {
		adoraModel.addImplProp(implProp);		
	}

	/**
	 * 
	 */
	public void redo() {
		adoraModel.addImplProp(implProp);
	}

	
	public void undo() {
		adoraModel.addImplProp(implProp);
	}
}
