package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.requirements.Requirement;

public class RequirementRemove extends Command {
	
	private AdoraModel adoraModel;
	private Requirement requirement;
	
	public RequirementRemove(AdoraModel adoraModel, Requirement requirement) {
		this.adoraModel = adoraModel;
		this.requirement = requirement;
	}
	
	public void execute() {
		adoraModel.removeRequirement(requirement);
	}

	
	public void redo() {
		adoraModel.removeRequirement(requirement);
	}

	
	public void undo() {
		adoraModel.addRequirement(requirement);
		
	}
}
