package ch.unizh.ifi.adora.unweaver;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

import ch.unizh.ifi.adora.unweaver.observer.BlackboardObserver;

/**
 * The activator class controls the plug-in life cycle
 */
public class UnweaverPlugin extends AbstractUIPlugin
{
	// The plug-in ID
	public static final String PLUGIN_ID = "ch.unizh.ifi.adora.unweaver";

	// The shared instance
	private static UnweaverPlugin plugin;
	
	/**
	 * The constructor
	 */
	public UnweaverPlugin()
	{

	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception
	{
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception
	{
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static UnweaverPlugin getDefault()
	{
		return plugin;
	}
}