package ch.unizh.ifi.adora.constraints.editor.preferences;

/**
 * constants for Editor (ConstraintTextEditor). Constants for auto-completion of
 * tags in editor are saved here
 * 
 * @author Christina Cramer
 * 
 */
public interface EditorPreferenceConstants {
	public final static String forloopnodechildren = "for-all element : Node in ElementEnumerator.casted(am.getRecursiveChildrenIterator(), Node.class) | ";

	public final static String forloopscenariochildren = "for-all scenario : Scenario in ElementEnumerator.casted(am.getRecursiveChildrenIterator(), Scenario.class ) |";

	public final static String getConnections = "for-all connection : Connection in node.getConnectionsIterator() |";

	public final static String getConnectionsIterator = "getConnectionsIterator()";

	public final static String getParent = "getParent()";

	public final static String getScenarioChildren = "getScenarioChildren()";

	public final static String getScenarioType = "getScenarioType()";

	public final static String ifFalse = "ifFalse(@result.setMessage(\"\");@) ";

	public static final String TAGS_DEFAULT = forloopnodechildren + "$" + forloopscenariochildren + "$"
			+ getScenarioChildren + "$" + getScenarioType + "$" + ifFalse + "$" + getConnectionsIterator + "$"
			+ getConnections + "$" + getParent;

	public static final String TAGS_PREFERENCE = "exemptTags";
}
