package ch.unizh.ifi.adora.actions.representation;

import ch.unizh.ifi.adora.model.representation.CrosscuttingConcern;

public class CrosscuttingConcernsViewAction extends AbstractViewAction
{
	/**
     * Describes the icon name for the activated view.
     */
	private final static String ICON_NAME = "icons/ccview.gif";

	/**
     * Describes the icon name for the deactivated view.
     */
	private final static String ICON_NAME_DEACTIVATED = "icons/ccview_d.gif";

	/**
	 * Default constructor, defining the type of item this
	 * action deals with.
	 */
	public CrosscuttingConcernsViewAction()
	{
		type = CrosscuttingConcern.class;
	}

	public String getIconDeactivatedName()
	{
		return ICON_NAME_DEACTIVATED;
	}

	public String getIconName()
	{
		return ICON_NAME;
	}
}