package ch.unizh.ifi.adora.actions.resources;

/**
 * This class provides menu names used by adora actions. 
 * 
 * @author				Ivo Vigan
 * @copyright			Requirements Engineering Research Group<br>
 *						Department of Informatics<br>
 *						University of Zurich<br>
 * @history			21.04.2006 IV First Version
 * 						18.07.2006 SM Comments & Refactoring
 * @version			$Date: 2006-07-18 21:18:21 +0200 (Tue, 18 Jul 2006) $, $Author: smeier $, $Revision: 1837 $
 */
public class MenuNames {

    /**
     * Displayed name of the copy menu entry.
     */
    public static String COPY = "C&opy";

    /**
     * Displayed name of the cut menu entry.
     */
    public static String CUT = "&Cut";

    /**
     * Displayed name of the paste menu entry.
     */
    public static String PASTE =  "&Paste";

}
