package ch.unizh.ifi.adora.properties;

import org.eclipse.ui.views.properties.IPropertySheetEntry;
import org.eclipse.ui.views.properties.PropertySheetSorter;

/**
 * Used to determine the order of the 
 * {@link org.eclipse.ui.views.properties.PropertyDescriptor}s 
 * within a {@link org.eclipse.ui.views.properties.PropertySheetPage}.
 * 
 * @author		        Ivo Vigan
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             21.08.2006 IV First Version
 * @version             $Date: 2006-08-25 17:03:41 +0200 (Fri, 25 Aug 2006) $, $Author: vigan $, $Revision: 2112 $
 */
public class AdoraPropertySheetSorter extends PropertySheetSorter {

	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.PropertySheetSorter#compare(org.eclipse.ui.views.properties.IPropertySheetEntry, org.eclipse.ui.views.properties.IPropertySheetEntry)
	 */
	public int compare(IPropertySheetEntry entryA, IPropertySheetEntry entryB) {
		return -1;
	}
	
	/*
	 *  (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.PropertySheetSorter#compareCategories(java.lang.String, java.lang.String)
	 */
	public int compareCategories(String categoryA, String categoryB) {
		return 1;
	}
}
