package ch.unizh.ifi.adora.representation.routing.algorithm;

/**
 * Constants for the naming of the events the router sends to its listeneners to
 * show the auxiliary structures.
 *
 * @author		        Tobias Reinhard
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             2007-04-19 TR First Version
 * @version             $Date: 2007-04-20 09:42:41 +0200 (Fri, 20 Apr 2007) $, $Author: treinhard $, $Revision: 2607 $
 * @responsibilities	Preference page of the ADORA plugin
 *
 */
public interface IRoutingEventConstants {

	/**
	 * A new tile structure has been constructed.
	 */
	public static final String TILESTRUCTURE = "Tilestructure";
	
	
}
