--deletes the content of the tables
--DELETE from USER_INFO_MC_ANSWER; 
--DELETE FROM USER_INFO;
--DELETE FROM USER;
--DELETE FROM TEST_SUITE;
--DELETE FROM QUESTION;
--DELETE FROM MC_ITEM;
--DELETE FROM TEST_SUITE_USER_INFO; 

INSERT INTO USER (ID, AGE, CREATED) values (NEXT VALUE FOR SEQ_USER_ID, 22, CURRENT_TIMESTAMP); -- user created

-- insert test sets
INSERT INTO TEST_SUITE (SUITE_NAME, ID, NO_OF_EXECUTED_TESTS) VALUES ('Aspect-Test 0', 0, 0); -- test suite created

INSERT INTO TEST_SUITE (SUITE_NAME, ID, NO_OF_EXECUTED_TESTS, START_UI_INFO, START_QUESTION_INFO, END_SUITE_INFO) VALUES ('Aspect-Test 1', 1,  0,'first infopage','first questionpage','finished '); -- test suite created


INSERT INTO QUESTION (QUESTION, ID, QUESTION_TYPE, NON_MC_ITEM, TEST_SUITE_ID) VALUES ('Welche der folgenden Aussagen ist richtig (genau eine)?', 0, 5, '', 0);
INSERT INTO MODEL_FOR_QUESTION (NAME, ID, QUESTION_ID, ADORA_MODEL) VALUES ('TESTMODEL 1',0,0, @LibrarySystem.adora@);
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('a und b feuern gleichzeitig.', 0, 0, false );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('a feuert nach b.', 1, 0, true );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('a und b feuern niemals.', 2, 0, false );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('entweder a oder b feuert. wer feuert ist nicht-deterministisch!', 3, 0, false );

INSERT INTO QUESTION (QUESTION, ID, QUESTION_TYPE, NON_MC_ITEM, TEST_SUITE_ID) VALUES ('Wieviele querschnittene Verhaltensgruppen gibt es?', 1, 2, '3', 0);
INSERT INTO MODEL_FOR_QUESTION (NAME, ID, QUESTION_ID, ADORA_MODEL) VALUES ('TESTMODEL 2',1,1, @LibrarySystem.adora@);

INSERT INTO QUESTION (QUESTION, ID, QUESTION_TYPE, NON_MC_ITEM, TEST_SUITE_ID) VALUES ('Welche Aussagen sind richtig?', 2, 4, '', 0);
INSERT INTO MODEL_FOR_QUESTION (NAME, ID, QUESTION_ID, ADORA_MODEL) VALUES ('TESTMODEL 3',2,2, @LibrarySystem.adora@);
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('Das querschneidende Verhalten kommt in object X, Y und Z vor.', 4, 2, true );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('Beim resultierenden Modell nach dem Weaving kommt nicht-deterministisches Verhalten heraus.', 5, 2, true );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('Die Join relationships von Aspect b werden alle mit before-Semantik eingewoben.', 6, 2, false );
INSERT INTO MC_ITEM (ANSWER, ID, QUESTION_ID, CORRECT) VALUES ('Es gibt keine strukturellen VerÃ€nderungen am Verhalten durch das Weaving.', 7, 2, true );

INSERT INTO QUESTION (QUESTION, ID, QUESTION_TYPE, NON_MC_ITEM, TEST_SUITE_ID) VALUES ('Nennen Sie das Objekt, welches nicht quergeschnitten wird.?', 3, 3, 'Object Adresse', 0);
INSERT INTO MODEL_FOR_QUESTION (NAME, ID, QUESTION_ID, ADORA_MODEL) VALUES ('TESTMODEL 4',3,3, @LibrarySystem.adora@);

INSERT INTO QUESTION (QUESTION, ID, QUESTION_TYPE, NON_MC_ITEM, TEST_SUITE_ID) VALUES ('wieviele transitionen werden im Schnitt quergeschitten?', 4, 1, '3.5', 0);
INSERT INTO MODEL_FOR_QUESTION (NAME, ID, QUESTION_ID, ADORA_MODEL) VALUES ('TESTMODEL 5',4,4, @LibrarySystem.adora@);



INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Geben Sie bitte Ihren Namen an.', 0, 3); -- String
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (0,0);
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (1,0);

INSERT INTO ADORA_PROPERTY(QUESTION_ID, PROPERTY_NAME, PROPERTY_VALUE) VALUES(0, 'adora.view.connectionLabelFont', '1|Arial|11.0|0|CARBON|1|Arial');
INSERT INTO ADORA_PROPERTY(QUESTION_ID, PROPERTY_NAME, PROPERTY_VALUE) VALUES(0, 'adora.representation.routing.transition', 'OrthogonalRouter');
INSERT INTO ADORA_PROPERTY(QUESTION_ID, PROPERTY_NAME, PROPERTY_VALUE) VALUES(0, 'adora.representation.routing.association', 'OrthogonalRouter');



INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Kommentar zum Aspect 1 Test?', 5, 3); -- String
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (1,5);


INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Wie viele Personen Arbeiten in Ihrer Unternehmung?', 1, 2); -- integer
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (0,1);

INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Geben Sie PI auf 12 Stellen nach dem Komma an?', 2, 1); -- integer
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (0,2);

INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Wie häufig erstellen Sie Modelle im Schnitt im Jahr?', 3, 5); -- optional mc
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (0,3);

INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('0 - 5 Mal', 0, 3);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('6 - 20 Mal', 1, 3);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('20 - 100 Mal', 2, 3);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('100 - 500 Mal', 3, 3);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Mehr als 500 Mal', 4, 3);

INSERT INTO USER_INFO (INFO_NAME, ID, INFO_TYPE) VALUES ('Was sind Ihre persönlichen Interessen?', 4, 4); -- optional mc
INSERT INTO TEST_SUITE_USER_INFO (TEST_SUITE_ID, USER_INFO_ID) VALUES (0,4);

INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Sport', 5, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Extrem Sport', 6, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Ultra Extrem Sport', 7, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 8, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 9, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 10, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 11, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 12, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 13, 4);
INSERT INTO USER_INFO_MC_ITEM (ANSWER, ID, USER_INFO_ID) VALUES ('Nichts', 14, 4);



