/**
 * 
 */
package ch.unizh.ifi.adora.empiricism;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 * Creates the default perspective for Adora model editing.
 * 
 * @author Adrian Gygax
 */
public class AdoraEmpiricismPerspectiveFactory implements IPerspectiveFactory {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout(IPageLayout layout) {
		final String editorArea = layout.getEditorArea();

		layout.addView(IPageLayout.ID_OUTLINE, IPageLayout.RIGHT, 0.85f,
				editorArea);
		layout.addView("ch.unizh.ifi.adora.empiricism.views.EmpiricalQuestionsView", IPageLayout.LEFT, 0.2f,
				editorArea);
		layout.addView(IPageLayout.ID_PROP_SHEET, IPageLayout.BOTTOM, 0.8f,
				editorArea);
		//layout.addView(IPageLayout.ID_PROBLEM_VIEW, IPageLayout.BOTTOM, 0.8f,
		//		editorArea);
	}

}
