package ch.unizh.ifi.adora.empiricism.model.cache;

import ch.unizh.ifi.adora.empiricism.model.QuestionMcItem;

/**
 * Cache storage for multiple choice items.
 *      
 *
 * @author		       smeier
 * @copyright           Requirements Engineering Research Group<br>
 *                      Department of Informatics<br>
 *                      University of Zurich<br>
 * @history             May 25, 2006 SM First Version
 *                      May 31, 2006 SM Comments
 * @version             $Date: 2006-06-19 11:58:09 +0200 (Mon, 19 Jun 2006) $, $Author: vigan $, $Revision: 1685 $
 *
 */
public class QuestionMcItemCache extends DataBaseObjectCache {	

	/*
	 *  (non-Javadoc)
	 * @see ch.unizh.ifi.adora.empiricism.model.cache.DataBaseObjectCache#getDBObject(java.lang.Object)
	 */
	public QuestionMcItem getDBObject(Object i) {
		return (QuestionMcItem)super.getDBObject(i);
	}
}
