package ch.unizh.ifi.adora.empiricism.views.wizard.uimessages;

/**
 * Stores all UI Messages.
 * 
 * @author Ivo Vigan
 * @copyright Requirements Engineering Research Group<br>
 *            Department of Informatics<br>
 *            University of Zurich<br>
 * @history 16.06.2006 SM First Version
 * @version $Date: 2007-06-04 14:28:18 +0200 (Mon, 04 Jun 2007) $, $Author: schoeni $, $Revision: 2748 $
 */
public interface UIMessages {

	public static final String WRONG_USER_ID_MSG = "Entered ID is wrong";

	public static final String LOGIN_CREATENEW_MSG = "Login or create new User";

	public static final String EXISTING_USR_BUTTON_MSG = "Existing User";

	public static final String NEW_USR_BUTTON_MSG = "New User";

	public static final String ENTER_ID_MSG = "Please enter your user ID.";

	public static final String ENTER_AGE_MSG = "Please enter your age.";

	public static final String FINISH_MSG = "Thank you for answering all questions.\n";

	public static final String QUESTION_START_MSG = "The questions start after this page.\n"
			+ "Please prepare yourself.\n\n\nThank you.";

	public static final String ALL_SUITES_ANSWERED_MSG = "You have already answered all test suites.";

	public static final String REG_FINSIHED_I_MSG = "Please write down the following ID.\n"
			+ "In the future, you have to login as an existing user, entering this ID.";

	public static final String REG_FINSIHED_II_MSG = "\n\n\nIn the following, you'll first have to answer questions concerning your person.";

	public static final String NOT_NEG_ERR_MSG = "Only positive integers allowed.";

	public static final String WRONG_DATA_TYPE_MSG = "Entered datatype not ok.";

	public static final String NO_SUITES_EXIST_MSG = "No test suites exist yet.";

}
