package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.requirements.DesignDecision;

public class DesignDecisionEdit extends Command {

	private int column;
	private String newString;
	private DesignDecision designDecision;
	
	public DesignDecisionEdit(int column, String newString,  DesignDecision designDecision) {
		this.column = column;
		this.newString = newString;
		this.designDecision = designDecision;
	}
	
	public void execute() {
		if (column == 1) { // Description-column
			designDecision.setDescription(newString);
		} else if (column == 3) { // Type-column
			designDecision.setType(newString);
		} else if (column == 4) { // RequirementID-column
			designDecision.setRequirementIDs(newString, DesignDecision.EVENT_SOURCE);
		} else if (column == 5) { // Comment-column
			designDecision.setComment(newString);
		}
	}

	
	public void redo() {
		//TODO
	}

	
	public void undo() {
		//TODO
	}
}
