package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.requirements.DesignDecision;

public class DesignDecisionRemove extends Command {

	private AdoraModel adoraModel;
	private DesignDecision designDecision;
	
	public DesignDecisionRemove(AdoraModel adoraModel, DesignDecision designDecision) {
		this.adoraModel = adoraModel;
		this.designDecision = designDecision;
	}
	
	public void execute() {
		adoraModel.removeDesignDecision(designDecision);
	}

	
	public void redo() {
		adoraModel.removeDesignDecision(designDecision);
	}

	
	public void undo() {
		adoraModel.addDesignDecision(designDecision);
		
	}
	
//	public Requirement getRequirement() {
//		return requirement;
//	}
}
