package ch.unizh.ifi.adora.requirements.commands;

import java.util.Vector;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.ConnectableElement;
import ch.unizh.ifi.adora.representation.management.ImplPropComposer;

public class ImplPropCompose extends Command {

	private Vector<ConnectableElement> selectedModelElements;
	private boolean visible;
	
	public ImplPropCompose(Vector<ConnectableElement> selectedModelElements, boolean visible) {
		this.selectedModelElements = selectedModelElements;
		this.visible = visible;
	}
	
	public void execute() {
		ImplPropComposer composer = ImplPropComposer.getInstance();
		composer.run(selectedModelElements, visible);
	}
}
