package ch.unizh.ifi.adora.requirements.commands;

import org.eclipse.gef.commands.Command;

import ch.unizh.ifi.adora.model.representation.AdoraModel;
import ch.unizh.ifi.adora.model.representation.requirements.ImplementationProposal;

public class ImplPropRemove extends Command {

	private AdoraModel adoraModel;
	private ImplementationProposal implProp;
	
	public ImplPropRemove(AdoraModel adoraModel, ImplementationProposal implProp) {
		this.adoraModel = adoraModel;
		this.implProp = implProp;
	}
	
	public void execute() {
		adoraModel.removeImplProp(implProp);
	}

	
	public void redo() {
		adoraModel.removeImplProp(implProp);
	}

	
	public void undo() {
		adoraModel.removeImplProp(implProp);		
	}
}
