package ch.unizh.ifi.adora.requirements.ui.views.ImplPropTable;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import ch.unizh.ifi.adora.model.representation.requirements.ImplementationProposal;

public class ImplPropLabelProvider extends LabelProvider implements ITableLabelProvider{

	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	public String getColumnText(Object element, int columnIndex) {
		String result = "";
		ImplementationProposal implProp = (ImplementationProposal) element;
		switch (columnIndex) {
			case 0 :
				result = implProp.getId();
				break;
			case 1 :
				result = implProp.getTitle();
				break;
			case 2 :
				result = implProp.getRequirementIDs();
				break;
			case 3 :
				result = implProp.getDesignDecisionIDs();
				break;
			case 4 :
				result = implProp.getAssumption();
				break;
			case 5 :
				result = implProp.getImpact();
				break;
			case 6 :
				result = implProp.getDismissedDesigns();
				break;
			case 7 :
				result = implProp.getOpenIssues();
				break;
			case 8 :
				result = implProp.getComment();
				break;
			default :
				break; 	
		}
		return result;
	}
}
